Bug 427308 - Can you add /etc/skel/.mozilla do your spec file
Can you add /etc/skel/.mozilla do your spec file
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On: 254236
  Show dependency treegraph
Reported: 2008-01-02 17:08 EST by Matěj Cepl
Modified: 2008-01-08 01:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-08 01:53:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-01-02 17:08:08 EST
+++ This bug was initially created as a clone of Bug #254236 +++

Description of problem:

This would greatly help the labeling of homedirectories at creation and allow us
to do some cool stuff with SELinux.

-- Additional comment from dwalsh@redhat.com on 2007-08-24 17:43 EST --
Also can we change the default for downloads to Download, which now exists in Gnome?

-- Additional comment from caillon@redhat.com on 2007-08-26 17:46 EST --
need to first test to make sure that having a blank .mozilla directory won't
hurt anything.

-- Additional comment from mcepl@redhat.com on 2007-12-20 11:46 EST --
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

-- Additional comment from dwalsh@redhat.com on 2007-12-31 11:44 EST --
Could you do this for the rawhide version.

-- Additional comment from caillon@redhat.com on 2007-12-31 12:19 EST --
(In reply to comment #2)
> need to first test to make sure that having a blank .mozilla directory won't
> hurt anything.

Firefox 3 is able to create a profile with a blank dir... seems doable.  Are
equivalent bugs filed against both seamonkey and thunderbird as well?

-- Additional comment from caillon@redhat.com on 2007-12-31 13:00 EST --
Fixed in firefox-3.0-0.beta2.4.fc9


Per comment 3 filing for seamonkey
Comment 1 Kai Engert (:kaie) 2008-01-07 02:11:53 EST
I have this change in my tree.
I will build as soon as I see an answer to my question in bug 254236 comment 7
Let me set NEEDINFO from caillon so I won't overlook his answer.
Comment 2 Christopher Aillon 2008-01-07 05:24:06 EST
It doesn't matter.  In processing %files, if rpm encounters a file which is a
directory, it treats it as the equivalent of:

%dir foo

Comment 3 Matěj Cepl 2008-01-07 06:13:08 EST
This is probably silly, but shouldn't we prefer more metadata over the less?
Will rpmbuild cry loudly, if (for some unknown reason) /etc/skel/.mozilla is
file, not dir?
Comment 4 Christopher Aillon 2008-01-07 07:51:54 EST
If it is a normal file, then someone has been messing with /etc/skel and I don't
care.  I intentionally want the %files list to include /etc/skel/.mozilla and
everything underneath it.  Right now there isn't anything else, but I do intend
on adding more items later when I get a few things sorted out with upstream.
Comment 5 Christopher Aillon 2008-01-07 07:53:17 EST
Actually, Kai... do you know whether seamonkey is going to build against
XULRunner in time for FC9?  If so, and if seamonkey still uses .mozilla, then
you may wish to wait.  I might simply add this as part of XULRunner.
Comment 6 Kai Engert (:kaie) 2008-01-08 00:36:04 EST
The next seamonkey (1.5) will use profiles in directory 

(in the past they were directly below .mozilla)

I do not know whether seamonkey will build against xulrunner in time.

I propose I make the change requested in this bug now, as it's simple and I have
it in my tree already, only requires a rebuild.
Comment 7 Kai Engert (:kaie) 2008-01-08 01:53:22 EST
Fixed in seamonkey-1.1.7-4.fc9

Note You need to log in before you can comment on or make changes to this bug.